Search documentation of ExStreamClient

# ExStreamClient.Model.CreateDeviceRequest (ExStreamClient v0.1.10)

View Source

Schema representing a CreateDeviceRequest

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.CreateDeviceRequest{
      id: String.t(),
      push_provider: :xiaomi | :huawei | :apn | :firebase,
      push_provider_name: String.t() | nil,
      user: ExStreamClient.Model.UserRequest.t() | nil,
      user_id: String.t() | nil,
      voip_token: boolean() | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()